﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using DotNetNuke.Common.Utilities;
using DotNetNuke.Entities.Content;

namespace SINewsAndArticles.SIUsersCounter.Components
{
    public class SIUsersCounterLogins:ContentItem
    {
        public int Id { get; set; }
        public int UserId { get; set; }
        public DateTime ComeInDateTime { get; set; }
        public DateTime GoOutDateTime { get; set; }
        public string UserOS { get; set; }
        public string UserBrowser { get; set; }
        public string UserResolution { get; set; }
        public string  SessionID { get; set; }
        public override void Fill(IDataReader dr)
        {
            //base.Fill(dr);
            this.Id = Null.SetNullInteger(dr["Id"]);
            this.UserId = Null.SetNullInteger(dr["UserId"]);
            this.ComeInDateTime = Null.SetNullDateTime(dr["ComeInDateTime"]);
            this.UserOS = Null.SetNullString(dr["UserOS"]);
            this.GoOutDateTime = Null.SetNullDateTime(dr["GoOutDateTime"]);
            this.UserBrowser = Null.SetNullString(dr["UserBrowser"]);
            this.UserResolution = Null.SetNullString(dr["UserResolution"]);
            this.SessionID = Null.SetNullString(dr["SessionID"]);
        }
    }
}