﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using DotNetNuke.Common.Utilities;
using DotNetNuke.Entities.Content;

namespace SINewsAndArticles.SIUsersCounter.Components
{
    public class SIUsersCounterConfig:ContentItem
    {
        public int Id { get; set; }
        public string OnlineUsersPic { get; set; }
        public string DailyUsersCounter { get; set; }
        public string fullUsersCounter { get; set; }
        public string OnlineUsersLabel { get; set; }
        public string DailyUsersCounterLabel { get; set; }
        public string fullUsersCounterLable { get; set; }
        public override void Fill(IDataReader dr)
        {
            //base.Fill(dr);
            this.Id = Null.SetNullInteger(dr["Id"]);
            this.OnlineUsersPic = Null.SetNullString(dr["OnlineUsersPic"]);
            this.DailyUsersCounter = Null.SetNullString(dr["DailyUsersCounter"]);
            this.fullUsersCounter = Null.SetNullString(dr["fullUsersCounter"]);
            this.OnlineUsersLabel = Null.SetNullString(dr["OnlineUsersLabel"]);
            this.DailyUsersCounterLabel = Null.SetNullString(dr["DailyUsersCounterLabel"]);
            this.fullUsersCounterLable = Null.SetNullString(dr["fullUsersCounterLable"]);

        }
    }
}