﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using DotNetNuke.Common.Utilities;

namespace SINewsAndArticles.SIUsersCounter.Components
{
    public class SIUsersCounterLoginsController
    {
        public static SIUsersCounterLogins SISelectByIdtUsersCounterLogins(int ucid)
        {
            return CBO.FillObject<SIUsersCounterLogins>(DataProvider.Instance().SISelectByIdUsersCounterConfig(ucid));
        }

        public static int SIInsertUsersCounterLogins(SIUsersCounterLogins ucl)
        {
            return DataProvider.Instance().SIInsertUsersCounterLogins(ucl);
        }
        public static int SIDeleteByIdtUsersCounterLogins(int id)
        {
            return DataProvider.Instance().SIDeleteByIdtUsersCounterLogins(id);
        }
        public static int SISelectBetweenDatesCountUsersCounterLogins(DateTime BeginDateTime, DateTime EndDateTime)
        {
            return DataProvider.Instance().SISelectBetweenDatesCountUsersCounterLogins( BeginDateTime,  EndDateTime);
        }
        public static int SISelectByInDateCountUsersCounterLogins(DateTime InDate)
        {
            return DataProvider.Instance().SISelectByInDateCountUsersCounterLogins(InDate);
        }
        public static int SISelectToDatesCountUsersCounterLogins(DateTime EndDate)
        {
            return DataProvider.Instance().SISelectByInDateCountUsersCounterLogins(EndDate);
        }
        public static int SIUpdatetUsersCounterLogins(int id, Components.SIUsersCounterLogins ul)
        {
            return DataProvider.Instance().SIUpdatetUsersCounterLogins(id, ul);
        }

        public static List<SIUsersCounterLogins> SISelectToDatesUsersCounterLogins(DateTime EndDate)
        {
            return
                CBO.FillCollection<SIUsersCounterLogins>(
                    DataProvider.Instance().SISelectToDatesUsersCounterLogins(EndDate));
        }
        public static List<SIUsersCounterLogins> SISelectAllUsersCounterLogins( )
        {
            return
                CBO.FillCollection<SIUsersCounterLogins>(
                    DataProvider.Instance().SISelectAllUsersCounterLogins());
        }
        public static List<SIUsersCounterLogins> SISelectByInDateUsersCounterLogins(DateTime InDate)
        {
            return
                CBO.FillCollection<SIUsersCounterLogins>(
                    DataProvider.Instance(). SISelectByInDateUsersCounterLogins(InDate));
        }
        public static List<SIUsersCounterLogins> SISelectBetweenDatesUsersCounterLogins(DateTime BeginDateTime, DateTime EndDateTime)
        {
            return
                CBO.FillCollection<SIUsersCounterLogins>(
                    DataProvider.Instance().SISelectBetweenDatesUsersCounterLogins(BeginDateTime, EndDateTime));
        }

        public static List<SIUsersCounterLogins> SISelectBySessionIDCounterLogins(string SessionID)
        {
            return
                CBO.FillCollection<SIUsersCounterLogins>(
                    DataProvider.Instance().SISelectBySessionIDCounterLogins(SessionID));
        }
    }
}